<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: gui/dialogs/BookManagerDialog/BookManagerDialog.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_book_manager_dialog_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">BookManagerDialog.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#ifndef LIBRARYMGR_BOOKMANAGERSDIALOG_H</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#define LIBRARYMGR_BOOKMANAGERDIALOG_H</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QWidget&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;QtWidgets/QPushButton&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#include &quot;../BookDetailsDialog/BookDetailsDialog.h&quot;</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;../../widgets/InlineLabel/InlineLabel.h&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;../../../models/Article/Book/Book.h&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="class_book_manager_dialog.html">   31</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_book_manager_dialog.html">BookManagerDialog</a> : <span class="keyword">public</span> <a class="code" href="class_book_details_dialog.html">BookDetailsDialog</a> {</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;Q_OBJECT</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="class_book_manager_dialog.html#a1d43f0bc8e592985b76ca3a4705c674e">BookManagerDialog</a>(QWidget *parent = 0);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword">public</span> slots:</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#a5d4421c3218b0a2ee0a63e64fd60ff32">getDetailsAboutBookRequest</a>(<a class="code" href="class_book.html">Book</a> book, <span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#a0ffc7b999e1adac330a2e5ed08cc16c7">getAddBookToWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#ae64cd9a8fc873e0f929ca812d15fa71d">getRemoveBookFromWishlistRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#aa07dfecbda63174fae341d299cceb05e">getReserveBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#ab3e2db384f11595a333f191d7acca2bf">getReturnBookRequestResult</a>(<span class="keywordtype">bool</span> ok);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#ade82c98835a5881475afc0eb14e5014a">reserveOrReturnBook</a>();</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#af004bfc3364e9178a2a50b1089046dd3">addToOrRemoveFromWishListBook</a>();</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;signals:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#a6d054a819bea81819023b1e7e27303d0">sendAddBookToWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#ad23290f75f7bf7de95439aad65987921">sendRemoveBookFromWishlistRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#a02d1645a9f2b130f0dff9983456bda97">sendReserveBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="class_book_manager_dialog.html#a88a2dead446e650424c62caac67a2360">sendReturnBookRequest</a>(<a class="code" href="class_book.html">Book</a> book);</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keywordtype">bool</span> isReservedByUser = <span class="keyword">false</span>;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">bool</span> isInUserWishlist = <span class="keyword">false</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="comment">// buttons to add to wishlist/reserve book</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    QPushButton *reserveOrReturnButton;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    QPushButton *addToOrRemoveFromWishListButton;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordtype">void</span> setup();</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">void</span> updateBookStatus(<span class="keywordtype">bool</span> isReservedByUser, <span class="keywordtype">bool</span> isInUserWishlist);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;};</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;<span class="preprocessor">#endif //LIBRARYMGR_BOOKDETAILSDIALOG_H</span></div><div class="ttc" id="class_book_manager_dialog_html_a02d1645a9f2b130f0dff9983456bda97"><div class="ttname"><a href="class_book_manager_dialog.html#a02d1645a9f2b130f0dff9983456bda97">BookManagerDialog::sendReserveBookRequest</a></div><div class="ttdeci">void sendReserveBookRequest(Book book)</div></div>
<div class="ttc" id="class_book_manager_dialog_html_aa07dfecbda63174fae341d299cceb05e"><div class="ttname"><a href="class_book_manager_dialog.html#aa07dfecbda63174fae341d299cceb05e">BookManagerDialog::getReserveBookRequestResult</a></div><div class="ttdeci">void getReserveBookRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:123</div></div>
<div class="ttc" id="class_book_manager_dialog_html_ab3e2db384f11595a333f191d7acca2bf"><div class="ttname"><a href="class_book_manager_dialog.html#ab3e2db384f11595a333f191d7acca2bf">BookManagerDialog::getReturnBookRequestResult</a></div><div class="ttdeci">void getReturnBookRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:139</div></div>
<div class="ttc" id="class_book_manager_dialog_html_a88a2dead446e650424c62caac67a2360"><div class="ttname"><a href="class_book_manager_dialog.html#a88a2dead446e650424c62caac67a2360">BookManagerDialog::sendReturnBookRequest</a></div><div class="ttdeci">void sendReturnBookRequest(Book book)</div></div>
<div class="ttc" id="class_book_html"><div class="ttname"><a href="class_book.html">Book</a></div><div class="ttdoc">Library book with author, ISBN and status. </div><div class="ttdef"><b>Definition:</b> Book.h:28</div></div>
<div class="ttc" id="class_book_manager_dialog_html_a6d054a819bea81819023b1e7e27303d0"><div class="ttname"><a href="class_book_manager_dialog.html#a6d054a819bea81819023b1e7e27303d0">BookManagerDialog::sendAddBookToWishlistRequest</a></div><div class="ttdeci">void sendAddBookToWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_book_manager_dialog_html_ad23290f75f7bf7de95439aad65987921"><div class="ttname"><a href="class_book_manager_dialog.html#ad23290f75f7bf7de95439aad65987921">BookManagerDialog::sendRemoveBookFromWishlistRequest</a></div><div class="ttdeci">void sendRemoveBookFromWishlistRequest(Book book)</div></div>
<div class="ttc" id="class_book_details_dialog_html"><div class="ttname"><a href="class_book_details_dialog.html">BookDetailsDialog</a></div><div class="ttdef"><b>Definition:</b> BookDetailsDialog.h:37</div></div>
<div class="ttc" id="class_book_manager_dialog_html_a5d4421c3218b0a2ee0a63e64fd60ff32"><div class="ttname"><a href="class_book_manager_dialog.html#a5d4421c3218b0a2ee0a63e64fd60ff32">BookManagerDialog::getDetailsAboutBookRequest</a></div><div class="ttdeci">void getDetailsAboutBookRequest(Book book, bool isReservedByUser, bool isInUserWishlist)</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:154</div></div>
<div class="ttc" id="class_book_manager_dialog_html_ae64cd9a8fc873e0f929ca812d15fa71d"><div class="ttname"><a href="class_book_manager_dialog.html#ae64cd9a8fc873e0f929ca812d15fa71d">BookManagerDialog::getRemoveBookFromWishlistRequestResult</a></div><div class="ttdeci">void getRemoveBookFromWishlistRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:106</div></div>
<div class="ttc" id="class_book_manager_dialog_html_a1d43f0bc8e592985b76ca3a4705c674e"><div class="ttname"><a href="class_book_manager_dialog.html#a1d43f0bc8e592985b76ca3a4705c674e">BookManagerDialog::BookManagerDialog</a></div><div class="ttdeci">BookManagerDialog(QWidget *parent=0)</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:26</div></div>
<div class="ttc" id="class_book_manager_dialog_html_af004bfc3364e9178a2a50b1089046dd3"><div class="ttname"><a href="class_book_manager_dialog.html#af004bfc3364e9178a2a50b1089046dd3">BookManagerDialog::addToOrRemoveFromWishListBook</a></div><div class="ttdeci">void addToOrRemoveFromWishListBook()</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:77</div></div>
<div class="ttc" id="class_book_manager_dialog_html"><div class="ttname"><a href="class_book_manager_dialog.html">BookManagerDialog</a></div><div class="ttdef"><b>Definition:</b> BookManagerDialog.h:31</div></div>
<div class="ttc" id="class_book_manager_dialog_html_a0ffc7b999e1adac330a2e5ed08cc16c7"><div class="ttname"><a href="class_book_manager_dialog.html#a0ffc7b999e1adac330a2e5ed08cc16c7">BookManagerDialog::getAddBookToWishlistRequestResult</a></div><div class="ttdeci">void getAddBookToWishlistRequestResult(bool ok)</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:89</div></div>
<div class="ttc" id="class_book_manager_dialog_html_ade82c98835a5881475afc0eb14e5014a"><div class="ttname"><a href="class_book_manager_dialog.html#ade82c98835a5881475afc0eb14e5014a">BookManagerDialog::reserveOrReturnBook</a></div><div class="ttdeci">void reserveOrReturnBook()</div><div class="ttdef"><b>Definition:</b> BookManagerDialog.cpp:65</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_11bc0974ce736ce9a6fadebbeb7a8314.html">gui</a></li><li class="navelem"><a class="el" href="dir_14719b40b25530ee4da48b51ded8319c.html">dialogs</a></li><li class="navelem"><a class="el" href="dir_a0cd57829ca1e04be8784d2a9bec0105.html">BookManagerDialog</a></li><li class="navelem"><b>BookManagerDialog.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
